#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: free
version: 4.9
id: free-4.9-0b47bed6f293ff32fd1d8c39a1365e00

license: BSD3
copyright: Copyright (C) 2008-2013 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/free/
package-url:
synopsis: Monads for free
description: Free monads are useful for many tree-like structures and domain specific languages.
             .
             If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
             of trees whose nodes are labeled with the constructors of @f@. The word
             \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
             @Free f@ makes no constraining assumptions beyond those given by @f@ and the
             definition of '\''Monad'\''. As used here it is a standard term from the
             mathematical theory of adjoint functors.
             .
             Cofree comonads are dual to free monads. They provide convenient ways to talk
             about branching streams and rose-trees, and can be used to annotate syntax
             trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
             that controls its branching factor.
             .
             More information on free monads, including examples, can be found in the
             following blog posts:
             <http://comonad.com/reader/2008/monads-for-free/>
             <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
author: Edward A. Kmett
exposed: True
exposed-modules: Control.Applicative.Free
                 Control.Applicative.Trans.Free Control.Alternative.Free
                 Control.Comonad.Cofree Control.Comonad.Cofree.Class
                 Control.Comonad.Trans.Cofree Control.Comonad.Trans.Coiter
                 Control.Monad.Free Control.Monad.Free.Church
                 Control.Monad.Free.Class Control.Monad.Free.TH
                 Control.Monad.Trans.Free Control.Monad.Trans.Free.Church
                 Control.Monad.Trans.Iter
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/free-4.9
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/free-4.9
              /usr/local/lib
hs-libraries: HSfree-4.9
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         bifunctors-4.1.1.1-9cf45024b5e4db4190fabc5a54d6225b
         comonad-4.2.2-e5178a19bf39d5e9a7599ffc3941fb7a
         distributive-0.4.4-767f380201a1333ad86994b760dbd4ee
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
         prelude-extras-0.4-3f25a56466c74ef07a4443ec626d05de
         profunctors-4.2.0.1-2fc8c7b88745d0cc27b4fb90cdf2ea7b
         semigroupoids-4.0.4-818778ef061841920ed10f13c6cb0dae
         semigroups-0.15.2-ba0dfd27959c7ba409dc7184903ce406
         template-haskell-2.9.0.0-209b23d5bd6678f5bc383f0d56742080
         transformers-0.3.0.0-16a97696ae672940f1523b262e566ba5
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/free-4.9/html/free.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/free-4.9/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
